clearstatcache
delete
Filesystem Functions
PHP Manual

# copy

Copies file

### Description

bool copy ( string `$source` , string `$dest` [, resource `$context` ] )

Makes a copy of the file `source` to `dest`.

If you wish to move a file, use the rename function.

### Parameters

`source`

  Path to the source file.

`dest`

  The destination path. If `dest` is a URL, the copy operation may fail if the wrapper does not support overwriting of existing files.

  Warning

  If the destination file already exists, it will be overwritten.

`context`

  A valid context resource created with stream_context_create.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.0 | Added context support.
4.3.0 | Both `source` and `dest` may now be URLs if the "fopen wrappers" have been enabled. See fopen for more details.

### Examples

Example #1 copy example

`<?php
$file = 'example.txt';
$newfile = 'example.txt.bak';
if (!copy($file, $newfile)) {
echo "failed to copy $file...\n";
}
?>`

### See Also

- move_uploaded_file
- rename
- The section of the manual about handling file uploads